Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class Stories

- Defined in: Stories.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Stories()

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _children
| alphabeticalTags
| closed
| comments
| featured
| otherTags
| recent
| tags
| top
| union

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| getAdminHeader(name)
| getPermission(action)
| getTags(group)
| list_macro(param, type)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Stories()

## Field Detail

<private> {Story[]} _children
{Tag[]} alphabeticalTags
{Story[]} closed
{Comment[]} comments
{Story[]} featured
{Tag[]} otherTags
{Story[]} recent
{Tag[]} tags
{Story[]} top
{Story[]} union

## Method Detail

- {String[]} getAdminHeader(name)
  Parameters:
  {String} name
  Returns:
    {String[]}
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- {Tag[]} getTags(group)
  Parameters:
  {String} group
  Returns:
    {Tag[]}
  See:
    Site#getTags
- list_macro(param, type)
  Parameters:
  {Object} param
  {String} type